Salut !
La gestion des calques est la même entre versions free et pro !
Posts made by Matt666
-
RE: Version education
-
RE: Function "Command" From lisp
Hello Didier !
@unknownuser said:
Regarde la méthode send_action pour le peu qu'on peut faire (take a look at send_action method)
Sketchup.send_action 21410
But I can't control the action process !
For example, to find the dimension between 2 points given by the program... Not by the user !Any idea ?
-
RE: Finding unit of drawing in options
Ok !!
I tried to find a system to allow the same thing, but I was not expecting something like this!
Thank you! It will greatly help me! -
Finding unit of drawing in options
Hello !
How can I find unity of the drawing in ruby ??? (mm cm inch, etc...)
Thank you !!
-
RE: PB Calage sur une photo dans la nature (pas de façades)
@unknownuser said:
Mui en effet.
Il est démasqué le bougre !!
@unknownuser said:
Toi tu es Matt666 de CADXP aussi je présume.
Voui, c'est ça !
@unknownuser said:
Je m'étais inscrit ici il y a un moment, mais je poste pour la première fois aujourd'hui. Je travaille plus souvent sur Autocad que Sketchup..
Et bah prends garde, ça va changer
Je n'utilise presque plus autocad ! Mais bon c'est un cas parmi d'autres...
Quoiqu'il en soit bon premier post !! Pilou s'occupe de toi, tu es entre de bonnes mains ! -
RE: Function "Command" From lisp
Hello AdamB !
@adamb said:
Sketchup.active_model.entities.add_line([0,0,0], [3,1,4])
yes, I know these methods.
"Command" function can use ALL the existing commands... AND also user commands... Very interesting !
@unknownuser said:
Sketchup.active_model.entities.add_text "Allez Les Bleus", [5,6,7]
For example How can you add a dimension...
Thank you for your answer !
-
RE: PB Calage sur une photo dans la nature (pas de façades)
Pieroka, comme sur CadXP ?
-
RE: Qui peut m'aider à finaliser ?....
Salut Regis !
C'est quoi ton outil vers 3min38, tu utilises une icône et tu as l'air de cliquer sur les arêtes cachées...
Je vois pas du tout !Sinon, vidéo DE-MENTE !
Merci à toi ! -
Function "Command" From lisp
Hi every body !
Before using sketchup, which became completely indispensable , I used autocad and its language Lisp. The lisp contains a very interesting feature: the "command" function.
It allows you to use all tools autocad in the running. All the arguments are replies to messages orders.
Example : (command "_line" "0,0,0" "10,0,10" "50,50,50")
And to close the line command : (command "")Do you think it would be possible to create a similar function in ruby?
PS : Sorry for that frenglish !!!
-
RE: ( ne répond pas)
Salut !
A mon avis, cela vient des enregistrements automatiques. -
RE: Music to make models go by
Rabih Abou-Khalil, shora (malval), Bonobo, Converge, Hakan, Lettuce, Meshuggah, Thomas Dybdahl, Poison the well, tool, Magma, Brian Blade, Peter Erskine, The brecker brothers, etc...
-
RE: Qui peut m'aider à finaliser ?....
Salut !
@unknownuser said:
J'n'arrive pas à mettre le fichier sketchup et ma photo sur ce post.
En bas de la fenêtre du cadre de rédaction des messages, tu as un onglet "options". Et à coté "Upload attachment" !! Voilà ! A toi de jouer maintenant !
-
RE: [Plugin] Global_Material_Change
Hi Tig !
Excellent Plug-in !!
I have translated it in French language...I tried to create similar script... It works differently, and I have some problems...
1- Select a face with the old texture
2- Choose the new texture in the 'paint' palette
3- Apply "Add to the model" in the right click context menu in the palette
4- Run the script.The third stage is a problem. I can't add the texture directly with the code... And if you don't do that, the texture is not saved. Do you have any method ??
#Replace texture definition of a face with the active texture in the palette def process_textures(entities, anctxt, newtxt) entities.each do |entity| case entity.typename when 'Group' process_textures entity.entities, anctxt, newtxt when 'ComponentInstance' if entity.material == anctxt entity.material = newtxt end edef = entity.definition process_textures edef.entities, anctxt, newtxt when 'Face' if entity.material == anctxt entity.material = newtxt end if entity.back_material == anctxt entity.back_material = newtxt end end end end def reptxt model = Sketchup.active_model ss = model.selection model.start_operation "Remplacer textures" if model.materials.current !=nil active_material = model.materials.current.name puts "Texture active = " + active_material if ss.empty? UI.messagebox("Aucune selection.") return nil else ent = ss[0] if ent.typename == "Face" puts "\nL'entité sélectionnée est de type Face." if ent.material !=nil process_textures model.active_entities, ent.material, active_material model.commit_operation end else UI.messagebox("\nL'entité sélectionnée n'est pas de type Face (" + ss[0].typename + ").") end end else UI.messagebox("Aucune texture active.") return nil end end if not file_loaded?("reptxt.rb") UI.menu("Plugins").add_item("Replace texture definition"){reptxt} end
Thank you !
-
RE: Select last entity
Like that ?
class Sketchup;;Model def entlast nb = self.active_entities.length return self.active_entities[nb-1] end end
-
RE: Select last entity
Wouah !!
I wanted to do same thing but I but I didn't know how to...
How can you do that : Sketchup.active_model.entlast please ??? -
RE: [Plugin] Draw Arcs
Hello !
@didier bur said:
To RW or TIG or Jim Foltz or any guru: Any chance to overwrite the default SU menu ?
For instance I would like to have, in the Draw menu, a menu "Arc" with sub-menus to add to the standard "Arc" option my own scripts there. Is it possible ?It's an excellent question !!!
Can anyone answer ?
-
[Plugin] Select last entity drawn
Hi !
At the request of Jim , Here is a script selects last entity drawn.
The original subject is here.the first script places a shortcut in the plugins folder. It selects only the last entity.
Another script, from Didier Bur, places a shortcut in the context menu. It adds the last entity with the current selection.
The last script is for developpers. It works like autolisp function.
Sketchup.active_model.entlast
With this last script, you can re-write the others !
model = Sketchup.active_model model.selection.add(model.entlast)
And
model = Sketchup.active_model model.selection.clear model.selection.add(model.entlast)
Thanks to Didier Bur and Rick Wilson !